!-----------------------BEGIN NOTICE -- DO NOT EDIT-----------------------
! NASA Goddard Space Flight Center
! Land Information System Framework (LISF)
! Version 7.3
!
! Copyright (c) 2020 United States Government as represented by the
! Administrator of the National Aeronautics and Space Administration.
! All Rights Reserved.
!-------------------------END NOTICE -- DO NOT EDIT-----------------------
#include "LIS_misc.h"
!BOP
! !MODULE: reset_AWAP
!  \label{reset_AWAP}
!
! !REVISION HISTORY: 
! 30 Jan 2017; Sujay Kumar, Initial Code
! 
! !INTERFACE:
subroutine reset_AWAP()

! !USES:
  use LIS_coreMod, only : LIS_rc
  use AWAP_forcingMod
!
! !DESCRIPTION:
!  Routine to cleanup Stage IV forcing related memory allocations.   
! 
!EOP
  implicit none
  integer   :: n

  do n=1,LIS_rc%nnest  
     AWAP_struc(n)%AWAPtime = 0.0
  enddo

end subroutine reset_AWAP
